﻿using System;

namespace SimpleDataStructures
{
    class SimpleStack<T> : SimpleList<T>
    {
        public SimpleStack(int initialSize) : base(initialSize)
        {
        }

        public SimpleStack() : base()
        {
        }

        public void Push(T element)
        {
            this.Insert(this.usedSlots, element);
        }

        public T Pop()
        {
            if (this.usedSlots == 0)
                throw new IndexOutOfRangeException();
            else
                return this.Remove(this.usedSlots - 1);
        }
    }
}
